Page MenuHomePhabricator

Add Label/Description/Alias interfaces
Closed, ResolvedPublic1 Story Points

Description

"After working with the so called "Fingerprint" for a while now I never really understood and still wonder why we introduced this in the first place. (And I know other team members feel the same way.) What it basically did was moving some methods deeper. I'm not sure what actual problem that solved (that could not been solved in an other, less disruptive way) but I know it introduced quite a few new ones (like not being able to use clone on entity objects any more). I suggest to drop it and replace it with the following interfaces in DataModel 3.0.0:

interface LabeledDocument {
  public function getLabels();
  public function setLabels( /* TBD */ );
  public function hasLabel( $languageCode );
  public function getLabel( $languageCode );
  public function setLabel( $languageCode, $text );
  public function removeLabel( $languageCode );
}
interface DescribedDocument {
  public function getDescriptions();
  public function setDescriptions( /* TBD */ );
  public function hasDescription( $languageCode );
  public function getDescription( $languageCode );
  public function setDescription( $languageCode, $text );
  public function removeDescription( $languageCode );
}
interface AliasedDocument {
  /* TBD */
}

Also see how the Java DataModel does this."
https://github.com/wmde/WikibaseDataModel/issues/301

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
InvalidLydia_Pintscher
OpenNone
OpenNone
StalledNone
OpenNone
ResolvedAddshore
Resolvedthiemowmde
ResolvedAddshore
ResolvedBene
DeclinedBene
ResolvedBene

Event Timeline

Lucie created this task.Dec 11 2014, 3:01 PM
Lucie raised the priority of this task from to Needs Triage.
Lucie updated the task description. (Show Details)
Lucie changed Security from none to None.
Lucie added a subscriber: Lucie.
Bene moved this task from incoming to ready to go on the Wikidata board.Jun 30 2015, 1:05 PM
Bene moved this task from ready to go to consider for next sprint on the Wikidata board.
Lydia_Pintscher triaged this task as Low priority.Jun 30 2015, 2:03 PM
JeroenDeDauw renamed this task from Replace Fingerprint with Label/Description/Alias interfaces to Add Label/Description/Alias interfaces.Jul 1 2015, 6:32 PM
Lydia_Pintscher edited a custom field.Jul 3 2015, 1:38 PM
JeroenDeDauw closed this task as Resolved.Aug 6 2015, 5:38 AM
JeroenDeDauw added a subscriber: JeroenDeDauw.